Google 会使用 AI 技术将内容翻译成您偏好的语言。AI 翻译可能包含错误。
Method: projects.locations.dataStores.sessions.list
使用集合让一切井井有条
根据您的偏好保存内容并对其进行分类。
HTTP 请求
:
GET https://discoveryengine.googleapis.com/v1/{parent=projects/*/locations/*/dataStores/*}/sessions
网址使用 gRPC 转码语法。
路径参数
| 参数 |
parent |
string
必需。数据存储区资源名称。格式:projects/{project}/locations/{location}/collections/{collection}/dataStores/{dataStoreId}
|
查询参数
| 参数 |
pageSize |
integer
页面中结果的数量上限。如果未指定,则默认为 50。允许的最大值为 1,000。
|
pageToken |
string
从之前的 sessions.list 调用接收的页面令牌。利用其进行后续页面检索。
|
filter |
string
要过滤依据的字段的英文逗号分隔列表,采用 EBNF 语法。 支持的字段包括:
user_pseudo_id
state
display_name
starred
is_pinned
labels
create_time
update_time
collaborativeProject
示例:
user_pseudo_id = some_id
display_name = "some_name"
starred = true
is_pinned=true AND (NOT labels:hidden)
create_time > "1970-01-01T12:00:00Z"
collaborativeProject =
"projects/123/locations/global/collections/default_collection/engines/"
"default_engine/collaborativeProjects/cp1"
|
orderBy |
string
要排序依据的字段的英文逗号分隔列表,按升序排序。在字段名称后添加“desc”表示降序。 支持的字段:
update_time
create_time
session_name
is_pinned
display_name
示例:
update_time desc
create_time
is_pinned desc,update_time desc:先按 is_pinned 列出会话,然后按 update_time 列出会话。
|
响应正文
如果成功,则响应正文包含一个 ListSessionsResponse 实例。
授权范围
需要以下 OAuth 范围之一:
https://www.googleapis.com/auth/cloud-platform
https://www.googleapis.com/auth/discoveryengine.assist.readwrite
https://www.googleapis.com/auth/discoveryengine.readwrite
https://www.googleapis.com/auth/discoveryengine.serving.readwrite
如需了解详情,请参阅 Authentication Overview。
IAM 权限
需要拥有 parent 资源的以下 IAM 权限:
discoveryengine.sessions.list
如需了解详情,请参阅 IAM 文档。
如未另行说明,那么本页面中的内容已根据知识共享署名 4.0 许可获得了许可,并且代码示例已根据 Apache 2.0 许可获得了许可。有关详情,请参阅 Google 开发者网站政策。Java 是 Oracle 和/或其关联公司的注册商标。
最后更新时间 (UTC):2026-10-09。
[[["易于理解","easyToUnderstand","thumb-up"],["解决了我的问题","solvedMyProblem","thumb-up"],["其他","otherUp","thumb-up"]],[["很难理解","hardToUnderstand","thumb-down"],["信息或示例代码不正确","incorrectInformationOrSampleCode","thumb-down"],["没有我需要的信息/示例","missingTheInformationSamplesINeed","thumb-down"],["翻译问题","translationIssue","thumb-down"],["其他","otherDown","thumb-down"]],["最后更新时间 (UTC):2026-10-09。"],[],[]]